

import com.gtl.GlossTag;
import java.io.FileInputStream;
import net.didion.jwnl.JWNL;
import net.didion.jwnl.data.IndexWord;
import net.didion.jwnl.data.POS;
import net.didion.jwnl.data.Synset;
import net.didion.jwnl.dictionary.Dictionary;

/**
 * Simple example, how to use WordNetGlossTagLibrary
 * @author cdar
 */
public class Example {

    private IndexWord DOG;

    public Example() throws Exception {
        DOG = Dictionary.getInstance().getIndexWord(POS.NOUN, "dog");
    }

    public void go() throws Exception {
        GlossTag glossTag = GlossTag.getInstance(new FileInputStream("glosstag.properties"));
        for (Synset o : DOG.getSenses()) {
            System.out.println(o);
            for (Synset o2 : glossTag.getGlossSynsets(o) ) {
                System.out.print("\t");
                System.out.println(o2);
            }
        }
    }

    public static void main(String[] args) {

        /*
         * Initializing JWNL
         */
        String _PROPS_FILE = "file_properties.xml";

        try {
            JWNL.initialize(new FileInputStream(_PROPS_FILE));
            new Example().go();
        } catch (Exception ex) {
            ex.printStackTrace();
            System.exit(-1);
        }
    }
}
